Admin Create Coupon
curl --request POST \
--url https://api.member.dev/api/v1/teams/{team_id}/coupons/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/vnd.api+json' \
--data '
{
"data": {
"attributes": {
"code": "<string>",
"discount_type": "<string>",
"discount_value": 123,
"currency": "<string>",
"expires_at": "2023-11-07T05:31:56Z",
"first_time_only": false,
"is_active": true,
"max_redemptions": 2,
"metadata": {}
},
"type": "coupons"
}
}
'import requests
url = "https://api.member.dev/api/v1/teams/{team_id}/coupons/"
payload = { "data": {
"attributes": {
"code": "<string>",
"discount_type": "<string>",
"discount_value": 123,
"currency": "<string>",
"expires_at": "2023-11-07T05:31:56Z",
"first_time_only": False,
"is_active": True,
"max_redemptions": 2,
"metadata": {}
},
"type": "coupons"
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/vnd.api+json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/vnd.api+json'},
body: JSON.stringify({
data: {
attributes: {
code: '<string>',
discount_type: '<string>',
discount_value: 123,
currency: '<string>',
expires_at: '2023-11-07T05:31:56Z',
first_time_only: false,
is_active: true,
max_redemptions: 2,
metadata: {}
},
type: 'coupons'
}
})
};
fetch('https://api.member.dev/api/v1/teams/{team_id}/coupons/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"attributes": {
"code": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"currency": "<string>",
"deleted_at": "2023-11-07T05:31:56Z",
"discount_type": "<string>",
"discount_value": 123,
"expires_at": "2023-11-07T05:31:56Z",
"first_time_only": true,
"is_active": true,
"max_redemptions": 123,
"metadata": {},
"redemption_count": 123,
"team_id": "<string>",
"updated_at": "2023-11-07T05:31:56Z"
},
"id": "<string>",
"type": "coupons"
}
}{
"errors": [
{
"status": "<string>",
"title": "<string>",
"code": "<string>",
"detail": "<string>",
"id": "<string>",
"meta": {},
"source": {}
}
],
"meta": {}
}{
"errors": [
{
"status": "<string>",
"title": "<string>",
"code": "<string>",
"detail": "<string>",
"id": "<string>",
"meta": {},
"source": {}
}
],
"meta": {}
}{
"errors": [
{
"status": "<string>",
"title": "<string>",
"code": "<string>",
"detail": "<string>",
"id": "<string>",
"meta": {},
"source": {}
}
],
"meta": {}
}{
"errors": [
{
"status": "<string>",
"title": "<string>",
"code": "<string>",
"detail": "<string>",
"id": "<string>",
"meta": {},
"source": {}
}
],
"meta": {}
}{
"errors": [
{
"status": "<string>",
"title": "<string>",
"code": "<string>",
"detail": "<string>",
"id": "<string>",
"meta": {},
"source": {}
}
],
"meta": {}
}{
"errors": [
{
"status": "<string>",
"title": "<string>",
"code": "<string>",
"detail": "<string>",
"id": "<string>",
"meta": {},
"source": {}
}
],
"meta": {}
}{
"errors": [
{
"status": "<string>",
"title": "<string>",
"code": "<string>",
"detail": "<string>",
"id": "<string>",
"meta": {},
"source": {}
}
],
"meta": {}
}products-admin
Admin Create Coupon
Create a new coupon for the team (code normalized to uppercase).
POST
/
api
/
v1
/
teams
/
{team_id}
/
coupons
/
Admin Create Coupon
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/vnd.api+json
Show child attributes
Show child attributes
Response
Successful Response
Show child attributes
Show child attributes
⌘I